#if !defined(AFX_CONFIGUREOUTPUTTZ_H__CAA66082_6870_4066_A6C9_B37C20E5F067__INCLUDED_)
#define AFX_CONFIGUREOUTPUTTZ_H__CAA66082_6870_4066_A6C9_B37C20E5F067__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigureOutputTZ.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigureOutputTZ dialog

class CConfigureOutputTZ : public CDialog
{
// Construction
public:
	CConfigureOutputTZ(CWnd* pParent = NULL);   // standard constructor
	CConfigureOutputTZ(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CConfigureOutputTZ)
	enum { IDD = IDD_CONFIGUREOUTPUTTZ };
	CComboBox	m_Timezones;
	CComboBox	m_PanelList;
	CComboBox	m_Outputs;
	CComboBox	m_AcctList;
	CString	m_ExistTZ;
	CString	m_AcctName;
	CString	m_PanelName;
	CString	m_OutputName;
	CString	m_ExistTZName;
	CString	m_TimezoneName;
	int		m_iLockMode;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureOutputTZ)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureOutputTZ)
	virtual BOOL OnInitDialog();
	afx_msg void OnCancelMode();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangePanellist();
	afx_msg void OnConfigure();
	afx_msg void OnSelchangeOutputs();
	afx_msg void OnSelchangeTimezones();
	afx_msg void OnChangeLockmode();
	//}}AFX_MSG
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadPanels();
	void LoadOutputs();
	void LoadPanelTimezones();
	void GetExistingTimezone();
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREOUTPUTTZ_H__CAA66082_6870_4066_A6C9_B37C20E5F067__INCLUDED_)
